Subject: Re: bug#16619: 24.3.50; REGRESSION: transparent *Completions* now

From: Daniel Colascione <[email-masked]>
Date: Sat, 01 Feb 2014 15:38:58 -0800

On 02/01/2014 03:11 PM, Drew Adams wrote:
> This is with my setup, admittedly.  But it is a regression introduced
> by vanilla Emacs: simply changing to this build from a build from a
> week earlier (2014-01-23).
>
> The effect: Now my *Completions* buffer is completely illegible
> because it is transparent/weak/faded.  I even use a special-display
> frame for *Completions*, for which I define the background as
> "LavenderBlush2".  Nevertheless, the frame is transparent.
> Everything about it is transparent: background, foreground, title bar,
> everything.  This effect makes *Completions* completely useless and
> unusable.

What happens if you set frame-alpha-lower-limit to 100?

> I tried to take a screenshot to show you what I see, but the
> *Completions* frame does not even show up at all for the screenshot
> software.  I.e., even though I can (barely) make out by eye that there
> is a *Completions* frame there, when I create a screenshot covering
> that area it does not show up at all in the screenshot.
>
> I cannot use this build at all, unfortunately.
>
> (I thought we were in a feature freeze.)

I don't think anyone made this change deliberately. Can you try bisecting?